.dealers {
  font-family: var(--font-family-1);
}

.dealers * {}

.dealers-filter {
  top: 49px;
  position: -webkit-sticky;
  position: sticky;
  width: 90%;
  left: 5%;
  background: transparent;
  z-index: 1;
}

.dealers-filter-button {
  background-color: var(--gray-dark-10);
  gap: 0.875rem;
  height: 3rem;
  -webkit-appearance: none;
  padding: 0;
  border-radius: 50px;
  border: 0;
}

.dealers-filter-button-text {
  font-size: 1.25rem;
  font-family: var(--font-family-2);
  font-weight: var(--weight-normal);
  color: var(--brand-white);
  -webkit-appearance: none;
}

.dealers-block-list {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.dealers-content {
  margin-top: 50px;
  padding: 1.875rem 1rem 3.75rem;
  gap: 1.25rem;
}
.dealers .container {
  padding: 0;
}
.dealers-content-title {
  font-size: 22px;
  font-weight: var(--weight-extra-bold);
  font-family: var(--font-family-1);
  color: var(--gray-dark);
  text-align: start;
  font-style: italic;
  margin: 0;
}

.dealers-sidebar-and-content {
  display: flex;
  overflow: unset;
}

.dealers-desktop-sidebar {
  display: flex;
  flex-direction: column;
  width: 100%;
  overflow-y: scroll;
}
.dealers-desktop-sidebar-inner {
  gap: 2rem;
  padding-block: 1.5rem 1.875rem;
}

.dealers-desktop-sidebar-location-title {
  font-size: var(--text-2xl);
  line-height: 1.5rem;
  font-weight: var(--weight-bolder);
  font-family: var(--font-family-3);
  color: var(--gray-dark);
}

.dealers-desktop-sidebar-selector {
  align-items: center;
  position: relative;
}

.dealers-desktop-sidebar-location-selector {
  font-size: var(--text-lg);
  /* font-weight: var(--weight-bolder); */
  font-family: var(--font-family-2);
  color: var(--gray-dark-11);
  padding: var(--p-2) var(--p-3);
  height: 3rem;
  border-radius: 0%;
  appearance: none;
  background: transparent;
  --bs-secondary-rgb: var(--gray-dark-11);
}

.dealers-desktop-sidebar-location-selector-icon {
  position: absolute;
  right: 12px;
  margin: var(--p-2);
  pointer-events: none;
}

.dealers-desktop-sidebar-location-selector-option {
  padding: var(--p-3);
  font-family: var(--font-family-1);
}

.dealers-desktop-sidebar-services-title {
  font-size: var(--text-2xl);
  font-weight: var(--weight-bolder);
  font-family: var(--font-family-3);
  color: var(--gray-dark);
}
.dealers-desktop-sidebar-services-title~ul .gap-2 {
  gap: 0.75rem !important;
}

.dealers-desktop-sidebar-services-label {
  font-size: var(--text-md);
  font-family: var(--font-family-2);
}
.dealers-desktop-sidebar-services-label svg rect {
  stroke: var(--brand);
}
.dealers-mobile-sidebar-header {
  font-family: var(--font-family-3);
  font-size: var(--text-lg);
  color: var(--gray-dark);
  font-weight: var(--weight-bolder);
  border-bottom: 3px solid var(--brand);
  background-color: var(--gray-light-1, #fff);
  min-height: 3.25rem;
  position: relative;
}

.dealers-mobile-sidebar-header-close-button {
  background-color: transparent;
  position: absolute;
  right: 0;
  padding: 6px;
}
:has(> .dealers-mobile-sidebar-filter-button) {
  margin-top: auto;
}
.dealers-mobile-sidebar-filter-button {
  color: var(--brand-white);
  font-size: 1.25rem;
  background: var(--gray-dark);
  border: none;
  width: 100%;
}

/* .content-scrollable{
  overflow-y: auto;
  -ms-overflow-style: none;  
  scrollbar-width: none;  
}
.content-scrollable::-webkit-scrollbar{
  display: none;  
} */



@media only screen and (min-width: 1200px) {
  .offcanvas.offcanvas-start {
    padding: 4.59%;
    min-width: 26.5%;
  }

  .dealers-desktop-sidebar {
    margin-top: 13.5rem;
    width: 13rem;
  }

  .dealers-content {
    padding-top: 3rem;
    padding-bottom: 9rem;
    padding-inline: 3rem 3rem;
    gap: 3.12rem;
    width: 100%;
  }

}
@media only screen and (max-width: 1400px) {
  .offcanvas.offcanvas-start {
    padding: 3.5%;
  }
}


@media only screen and (max-width: 900px) {
  .dealers-content-title {
    font-size: 30px;
    line-height: 30px;
    text-align: center;
  }
}


@media only screen and (max-width: 768px) {
  .dealers-content-title {
    font-size: 22px;
  }
  .dealer-info-tag {
    min-width: 58px;
}
}

@media only screen and (min-width: 992px) {
  .dealers-block-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(440px, 1fr));
    column-gap: 1.5rem;
    row-gap: 3.75rem;
  }

  .dealers-content-title {
    font-size: 30px;
    line-height: 30px;
  }
}

@media only screen and (min-width: 768px) {
  .dealers-desktop-sidebar {
    position: -webkit-sticky;
    position: sticky;
    top: 7rem;
    align-self: flex-start;
    padding-bottom: 5rem;
    margin-top: 4.375rem;
    margin-top: 0;
    width: 100%;
  }

  .dealers-desktop-sidebar-location-title {
    font-size: var(--text-lg);
    line-height: 23px;
  }

  .dealers-desktop-sidebar-location-selector {
    font-size: var(--text-md);
  }

  .dealers-desktop-sidebar-services-title {
    font-size: var(--text-lg);
  }

  .dealers-content-title {
    font-size: var(--text-3xl);
    line-height: 2.716rem;
  }

  .dealers-desktop-sidebar-wrapper {
    padding: var(--p-4);
    position: relative;
    visibility: visible;
    z-index: auto;
    transform: none;
    border-right: none;
    width: auto;
  }

  .offcanvas {}

  .offcanvas.offcanvas-start {
    transform: none;
    border-right: none;
    width: auto;
    border-bottom: 6px solid var(--brand);
  }
}


@media only screen and (max-width: 767px) {
  .offcanvas.offcanvas-start {
    padding: 0;
}
}